e-iconv
3
LIBEDATASERVER Library

# e-iconv

## Synopsis

    const char *        e_iconv_charset_name                (const char *charset);
    iconv_t             e_iconv_open                        (const char *oto,
                                                             const char *ofrom);
    size_t              e_iconv                             (iconv_t cd,
                                                             const char **inbuf,
                                                             size_t *inbytesleft,
                                                             char **outbuf,
                                                             size_t *outbytesleft);
    void                e_iconv_close                       (iconv_t ip);
    const char *        e_iconv_locale_charset              (void);
    const char *        e_iconv_locale_language             (void);
    const char *        e_iconv_charset_language            (const char *charset);

## Description

## Details

### e_iconv_charset_name ()

    const char *        e_iconv_charset_name                (const char *charset);

`e_iconv_charset_name` is deprecated and should not be used in newly-written code.

`charset` :

Returns :

### e_iconv_open ()

    iconv_t             e_iconv_open                        (const char *oto,
                                                             const char *ofrom);

`e_iconv_open` is deprecated and should not be used in newly-written code.

`oto` :

`ofrom` :

Returns :

### e_iconv ()

    size_t              e_iconv                             (iconv_t cd,
                                                             const char **inbuf,
                                                             size_t *inbytesleft,
                                                             char **outbuf,
                                                             size_t *outbytesleft);

`e_iconv` is deprecated and should not be used in newly-written code.

`cd` :

`inbuf` :

`inbytesleft` :

`outbuf` :

`outbytesleft` :

Returns :

### e_iconv_close ()

    void                e_iconv_close                       (iconv_t ip);

`e_iconv_close` is deprecated and should not be used in newly-written code.

`ip` :

### e_iconv_locale_charset ()

    const char *        e_iconv_locale_charset              (void);

`e_iconv_locale_charset` is deprecated and should not be used in newly-written code.

Returns :

### e_iconv_locale_language ()

    const char *        e_iconv_locale_language             (void);

`e_iconv_locale_language` is deprecated and should not be used in newly-written code.

Returns :

### e_iconv_charset_language ()

    const char *        e_iconv_charset_language            (const char *charset);

`e_iconv_charset_language` is deprecated and should not be used in newly-written code.

`charset` :

Returns :